addhook("build","ub.fastbuild")

ub={}
ub.cfg = {}
-- configuration
ub.cfg.fast=true
ub.cfg.unlimited=true
ub.cfg.money=false
-- END configuration

ub.building = {}
ub.building.names = {"Barricade","Barbed Wire","Wall I","Wall II","Wall III","Gate Field","Turret","Dispenser","Supply",[13] = "Teleporter Entrance",[14] = "Teleporter Exit"}
ub.building.money = {300,500,1000,2000,3000,1500,5000,5000,5000,[13] = 3000,[14] = 3000}


function ub.spawnobject(id,type,x,y)		
	parse("spawnobject "..type.." "..x.." "..y.." 0 0 "..player(id,"team").." "..id)
end

function ub.submoney(id,mmoney)
	if(ub.cfg.money==true) then
		parse("setmoney "..id.." "..player(id,"money")-mmoney)
	end
end

function ub.fastbuild(id,type,x,y)
        if (ub.cfg.fast==true) then
				if(ub.building.names[type] and player(id,"money")>=ub.building.money[type]) then
					ub.spawnobject(id,type,x,y)
					ub.submoney(id,ub.building.money[type])
				elseif (type== 20 or type==21) then
					return 0
				end
		end
		return 1
end

if (ub.cfg.unlimited==true) then
	local k,v
	for k, v in ipairs(ub.building.names) do
		parse(string.format([[mp_building_limit "%s" "%s"]],v,100000))
	end
end
